# 房屋装修设计和家具售卖app策划书

# 产品介绍
> 本项目旨在开发一款集房屋装修设计和家具售卖于一体的App，为用户提供全方位的家居装修解决方案。用户可以通过App浏览各种家具款式，了解装修设计风格，获取装修灵感，并直接购买所需家具。同时，用户还可以通过App预约专业设计师进行上门量房、设计方案制定等服务，实现一站式家居装修体验。

- 产品名称：创享家

- 产品代码：CShare
   - C 创造
   - Share 享受

- 产品Slogan
   - 家的模样，由你描绘；家的温度，由我传递。

- 基础功能
   - 用户可以一键AI生成自己家装修后的模型图；
   - 也根据自己的想法自己设计装修；
   - 可以在平台联系设计师亲自设计；

- 产品简介
   - 创享家（产品代码：CShare）一款集房屋装修设计与家具售卖于一体的综合性服务平台。我们致力于为用户提供一站式的家居解决方案，从设计到购买，全程无忧。通过我们的平台，用户可以轻松实现家居梦想，打造属于自己的舒适空间。我们的目标用户主要包括正在面临装修的人群、家居爱好者以及追求生活品质的消费者等。他们希望通过专业的设计和优质的家具来提升家居生活的品质和舒适度。总之，房屋装修设计和家具售卖APP是一个集专业设计、丰富商品和优质服务于一体的综合性家居服务平台。我们将竭诚为广大用户提供高品质的家装解决方案和购物体验！

# 项目成员
- 易智美 0225273
- 曾美艳 0225268
- 方佩萌 0225263
- 肖思琪 0225236

# 背景分析
## 政策背景
在中国，政府一直在积极推动数字经济和创新发展，特别是在家居装修领域，政策支持也相对较多。以下是可能涉及到您项目的政策背景和相关政策支持方面：

1. **数字经济发展支持：** 中国政府一直在积极推动数字经济发展，鼓励创新创业。您的App涉及到家居装修设计和家具销售，符合数字经济发展的方向，可能能够获得相关政策支持。

2. **电子商务政策支持：** 涉及到家具销售的在线平台，可能会受到中国政府对电子商务发展的支持。政府鼓励电子商务的发展，提供相关政策支持，例如减税优惠、金融支持等。

3. **创新创业政策支持：** 您的项目结合了家居装修设计和家具销售，是一个创新型的商业模式。中国政府对创新创业提供支持，可能会有相关政策鼓励您项目的发展。

4. **智能家居政策支持：** 随着智能家居的发展，政府也在支持相关产业的发展。您的App可能会涉及到智能家居产品的销售和应用，可以关注智能家居政策支持的相关内容。

5. **消费升级政策支持：** 中国政府一直在鼓励消费升级，提高居民生活品质。您的App提供了全方位的家居装修解决方案，符合消费升级的趋势，可能能够得到相关政策支持。

综上所述，您的项目在中国政策发展的大环境下可能会受到数字经济、电子商务、创新创业、智能家居和消费升级等方面的政策支持，可以结合具体政策文件和相关部门的政策解读来更深入地了解和把握政策支持的机会。
## 行业背景
在人工智能和文化产业发展的大趋势下，家居装修设计领域也将迎来新的发展机遇和潜力。以下是一些可能的发展趋势和潜力方向：

1. **智能化定制设计：** 随着人工智能技术的不断发展，家居装修设计可以更加智能化和个性化。通过AI算法分析用户的喜好和需求，为用户提供定制化的设计方案和家具推荐，提升用户体验。

2. **虚拟现实和增强现实技术应用：** 虚拟现实（VR）和增强现实（AR）技术可以帮助用户更直观地体验装修效果，例如通过虚拟现实技术实现家具摆放效果的预览，让用户更好地理解设计方案和家具选择。

3. **文化创意融合：** 家居装修设计不仅仅是功能性的需求，也是一种文化和生活方式的体现。结合文化创意元素，打造具有独特文化韵味的家居装修设计，吸引更多用户。

4. **线上线下融合服务：** 您提到的一站式家居装修体验符合用户对便利性和全方位服务的需求。将线上的家具选购和设计方案展示与线下的专业服务相结合，提供更完整的家居装修解决方案。

5. **可持续发展理念：** 在家居装修设计领域，可持续发展的理念也越来越受到关注。推广环保材料、节能设计等可持续发展实践，符合当下社会的绿色发展趋势。

综上所述，结合人工智能技术和文化产业发展趋势，家居装修设计领域有望迎来智能化定制设计、虚拟现实技术应用、文化创意融合、线上线下融合服务以及可持续发展理念等方面的发展和潜力。创新、个性化和服务体验将成为未来家居装修设计领域的关键发展方向。
## 社会背景
这样一款集房屋装修设计和家具售卖于一体的App在社会中有着广泛的需求潜力和可以解决的社会痛点问题，具体表现如下：

1. **便捷性和效率需求：** 在快节奏的现代社会，人们对便捷性和效率性的需求日益增加。这款App可以为用户提供一站式的家居装修解决方案，让用户可以在手机上浏览家具款式、获取装修灵感、直接购买家具，甚至预约专业设计师，极大地提升了家居装修的便捷性和效率。

2. **个性化定制需求：** 每个人对于家居装修的需求和喜好都不尽相同，个性化定制成为一种趋势。这款App可以通过用户行为数据和偏好分析，为用户提供个性化的家具推荐和设计方案，满足用户对于个性化家居装修的需求。

3. **专业设计服务需求：** 家居装修设计需要专业知识和技能，而许多用户缺乏相关的专业背景。通过App提供预约专业设计师的服务，可以帮助用户解决装修设计方面的难题，提升装修质量和效果。

4. **信息不对称问题：** 在传统的家居装修过程中，用户往往面临信息不对称的问题，难以了解全面的装修设计风格和家具选择。这款App可以通过丰富的家具款式展示和设计风格介绍，帮助用户更全面地了解装修选择，解决信息不对称问题。

5. **装修过程管理问题：** 家居装修是一个复杂的过程，涉及到多个环节和多方合作。用户往往面临装修过程管理不便的问题。通过App提供的一站式家居装修解决方案，可以帮助用户更好地管理装修过程，提升整体体验。

综上所述，这款集房屋装修设计和家具售卖于一体的App可以满足社会对于便捷性、个性化定制、专业设计服务、信息不对称和装修过程管理等方面的需求，解决相关的社会痛点问题，具有较大的市场潜力和发展前景。

# 需求分析
## 用户分析
家居类的App通常涵盖了家居装饰、家居设计、家居购物、家居维修等功能，潜在的用户包括但不限于以下几类具有代表性的群体：

1. 家居装饰爱好者：这一群体对于家居设计、装饰风格有浓厚兴趣，他们可能在App上寻找灵感、设计方案、装饰品购买渠道等信息。

2. 新房/二手房业主：购房后需要进行家居设计和装修的业主，他们可能需要App上的设计师推荐、装修公司信息、装修材料购买等服务。

3. 家居设计师/装修公司：这些专业人士可能通过App展示自己的作品、获取客户需求、与客户沟通合作等。

4. 家居产品品牌商家：家居产品品牌商家可以通过App展示自己的产品、推广促销活动、提供在线购物服务等。

5. 家居维修服务提供商：提供家居维修、维护服务的公司或个人，可能通过App接受用户委托、提供维修服务、获取用户评价等。

6. 家居爱好者社群：喜欢分享家居装饰、DIY经验的用户，可能在App上参与讨论、分享心得、交流经验。

通过针对这些具有代表性的用户群体的需求和特点，可以更好地定位产品的市场定位和推广策略，吸引更多潜在用户体验和使用创享家家居产品。

## 痛点分析
当针对具有代表性的用户群体进行深度分析时，可以考虑他们的痛点需求、共性需求和差异化需求：
好的，让我们深入分析一下针对家居类App具有代表性的用户群体的痛点需求、共性需求和差异化需求：

1. 家居装饰爱好者：
   - 痛点需求：缺乏灵感和设计方案、难以找到适合自己风格的装饰品、难以实现自己的设计理念。
   - 共性需求：希望在App上找到各种风格的装饰灵感、获取专业设计师的建议和推荐、方便购买装饰品。
   - 差异化需求：对于不同风格的装饰风格有偏好，可能需要个性化推荐和定制化设计服务。

2. 新房/二手房业主：
   - 痛点需求：缺乏装修设计和施工经验、难以选择合适的装修公司和材料、担心装修过程中出现问题。
   - 共性需求：需要App上提供的设计方案、装修公司推荐、材料购买渠道、施工监督等服务。
   - 差异化需求：可能有不同的预算和装修风格需求，需要个性化的推荐和定制化的服务。

3. 家居设计师/装修公司：
   - 痛点需求：需要更多客户资源和项目机会、希望提高作品曝光度和口碑、需要更高效的沟通和合作方式。
   - 共性需求：希望通过App获得更多客户需求、展示作品、提高行业知名度、方便与客户沟通和合作。
   - 差异化需求：可能有不同的设计风格和服务定位，需要个性化的推广和合作机会。

4. 家居产品品牌商家：
   - 痛点需求：需要提升品牌知名度和销售渠道、希望与用户更紧密地互动和沟通、需要更多促销和营销渠道。
   - 共性需求：希望通过App展示产品、推广促销活动、提供在线购物服务、与用户建立互动关系。
   - 差异化需求：可能有不同的产品定位和市场需求，需要个性化的营销策略和用户互动方式。

5. 家居维修服务提供商：
   - 痛点需求：需要更多用户委托和项目机会、希望提高服务质量和口碑、需要更高效的客户沟通和服务方式。
   - 共性需求：希望通过App接受用户委托、提供维修服务、获取用户评价、提高服务水平和用户满意度。
   - 差异化需求：可能有不同的维修技能和服务范围，需要个性化的推广和服务定位。

通过深度分析不同用户群体的痛点需求、共性需求和差异化需求，可以更有针对性地设计产品功能和服务，满足用户的多样化需求，提升产品的用户体验和市场竞争力。
## 功能分析
为了体现创享家的商业价值和社会价值，以下是建议的核心功能模块：

1. **灵感与设计模块**：
   - 提供各种家居装饰、设计灵感，包括风格展示、DIY教程、设计师作品展示等，激发用户创意。
   - 用户可以根据自身喜好保存喜欢的设计灵感，创建个人设计方案，与设计师互动和交流。

2. **装修规划与施工模块**：
   - 提供在线装修规划工具，帮助用户规划家居空间布局、选择装修风格、材料搭配等。
   - 提供装修公司推荐、施工监督、施工进度跟踪等功能，确保装修质量和进度。

3. **产品展示与购物模块**：
   - 家居产品品牌商家可以在App上展示产品信息、促销活动、在线购物渠道，提供便捷的购物体验。
   - 用户可以根据自身需求浏览和购买家居产品，享受个性化推荐和定制化服务。

4. **维修服务与社区互动模块**：
   - 提供家居维修服务商家的信息展示、服务范围、用户评价等，方便用户选择合适的维修服务商。
   - 用户可以在社区互动平台上分享装修经验、求助问题、交流心得，建立家居爱好者社群。

5. **个人中心与定制化服务模块**：
   - 用户可以在个人中心管理个人资料、收藏的设计方案、购物记录等，实现个性化服务和推荐。
   - 提供定制化设计服务、个性化推荐、专属优惠等，增加用户粘性和忠诚度。

这些核心功能模块不仅可以满足用户的需求，提升用户体验，还能为创享家App带来商业价值，如提高用户留存率、增加用户转化率、吸引广告投放等。同时，这些功能也体现了创享家App的社会价值，如促进家居设计行业发展、提升家居装修质量、推动家居环保理念等，为用户和行业带来积极影响。

# 竞品分析
> 参考文档：https://m.cyzone.cn/article/647064.html

## 竞品的搜索和整理
- 参考家居软件的类别和参数选项
   - 齐家网 https://www.jia.com/
   - 住小帮 https://m.zhuxiaobang.com/room
   ![](./asset/img/zhuxiaobang.png)

## 竞品功能及产品分析
- 用户操作逻辑
- UI界面布局
- 产品结构及页面结构的分析
![](./asset/img/siwei.jpg)

# 核心功能的产品开发计划
## 确认核心功能
- 创作
- 发现
- 文库
- 我的

## 产品结构图梳理
> 参考：https://www.woshipm.com/pd/5405037.html

### 创作页面的产品结构
- 首页
   - 顶部搜索栏
   - 导航栏
      - 发现
      - 视频
      - 搜索
   - 功能模块
      - 案例设计按钮
         - logo
         - 案例设计
      - 免费设计按钮
         - logo
         - 免费设计
      - 装修施工按钮
         - logo
         - 装修施工
      - 软装搭配按钮
         - logo
         - 软装搭配
      - 户型诊断按钮
         - logo
         - 户型诊断
      - 全屋定制按钮
         - logo
         - 全屋定制
      - 干货百科按钮
         - logo
         - 干货百科
      - 风格测试按钮
         - logo
         - 风格测试
      - 设计我家按钮
         - logo
         - 设计我家
      - 智能预算按钮
         - logo
         - 智能预算
   - 装修锦囊块
      - 装修锦囊
      - 装修锦囊卡片
         - 空间设计块
            - logo和空间设计
            - 客厅怎么装card
               - 图片
               - 客厅怎么装
            - 卧室怎么装card
               - 图片
               - 卧室怎么装
         - 装前必看块
            - logo和装前必看
            - 装修全流程card
               - 图片
               - 装修全流
            - 全屋定制card
               - 图片
               - 全屋定制
         - 家具家电块
            - logo和家具家电
            - 橱柜怎么选card
               - 图片
               - 橱柜怎么选
            - 沙发怎么选card
               - 图片
               - 沙发怎么选
         - 家居软装块
            - logo和家居软装
            - 窗帘怎么选card
               - 图片
               - 窗帘怎么选
            - 收纳怎么做card
               - 图片
               - 收纳怎么做
   - 案例块
      - 功能栏
         - 一键寻宝
         - 装修百科
         - 买好货
         - 关注
         - 案例
         - 家居
         - 原创
         - 设计师
         - 流程
         - 施工
         - 建材
         - 家具家电
      - 内容流
         > 展示以视频为主的装修案例内容。
         - 图片视频
         - 标题
         - 点赞数
         - 评论数
         - 用户信息
         - 标签
   - 底部导航栏
      - 首页
      - 装修
      - 消息
      - 我的
- 案例详情页
   - 头部
      - 案例标题
      - 发布者头像
      - 用户名
      - 发布时间
      - 关注按钮
   - 内容
      - 案例图片
      - 文字描述
      - 标签
   - 底部
      - 点赞
      - 评论
      - 分享按钮
      - 用户头像
      - 用户昵称
      - 用户简介
- 装修页
   - 搜索框
      > 输入关键字搜索

   - 导航栏
      - 装修公司
      - 设计机构
      - 独立设计师
   - 筛选条件
      - 安心优选
      - 现货特价
      - 100-299元/㎡
      - 北欧风格
      - 中式风格
      - 美式风格
   - 结果展示
      >搜索结果以卡片形式展示

      - 名称
      - 价格
      - 用户评价
- 装修公司详情页
   - 头部
      - 公司名称
      - 星级评分
      - 评价数量
      - 公司简介
   - 内容
      - 公司介绍
         - 公司服务
         - 优势
         - 案例
      - 服务项目
         > 展示公司提供的装修服务

         - 全屋定制
         - 局部改造
         - 硬装
         - 软装
      - 案例展示：
         > 展示公司完成的装修案例
         
         - 图片
         - 文字描述
         - 风格标签
      - 团队介绍
         > 展示公司设计师和施工团队的信息

      - 用户评价
         > 展示用户对公司的评价
         
         - 文字
         - 图片
         - 星级评分
      - 底部
         - 电话
         - 预约
         - 咨询
         - 查看案例
- 设计机构详情页
   - 头部: 机构名称、星级评分、评价数量、机构简介
   - 内容:
      - 机构介绍
         - 服务
         - 优势
         - 案例
      - 设计师团队
         > 展示机构的设计师团队
         
         - 设计师头像
         - 姓名
         - 擅长风格
         - 服务地区
         - 价格
      - 案例展示
         > 展示机构完成的装修案例
         
         - 图片
         - 文字描述
         - 风格标签
      - 设计理念
         > 展示机构的设计理念和风格

      - 服务流程
         > 展示机构的装修流程和服务标准

      - 用户评价
         >展示用户对机构的评价
         
         - 文字
         - 图片
         - 星级评分
   - 底部
      - 电话
      - 预约
      - 咨询
      - 查看案例
- 设计师详情页
   - 头部
      - 设计师头像
      - 用户名
      - 关注按钮
      - 设计师简介
   - 内容
      - 设计师作品图片
      - 设计师作品数量
      - 设计师擅长风格
      - 服务地区
      - 价格
      - 用户评价
   - 底部
      - 咨询
      - 电话
      - 在线预约
      - 查看案例
- 消息页
   - 头部区域
      >顶部显示“消息”标题。

   - 导航区域
      - 评论和@
      - 赞与收藏
      - 新增关注
      - 系统消息
   - 内容区域
      - 最新推荐
      - 头像
      - 用户名
      - 标签
      - 聊天内容
      - 免费提问按钮。
   - 底部区域
      - 首页
      - 装修
      - 消息
      - 我的




## 信息结构图梳理
> 参考：https://www.woshipm.com/pd/5405037.html

- 用户
   - 关注设计师
   - 浏览案例
   - 咨询设计师
   - 查看设计师作品
   - 进行预约
   - 发表评论
   - 浏览公司信息
   - 联系公司
   - 浏览机构信息
   - 联系机构
- 装修公司信息
   - 公司名称
   - 联系方式
   - 地址
   - 服务范围
   - 服务项目
   - 价格
   - 团队信息
   - 案例展示
   - 用户评价
- 设计机构信息
   - 机构名称
   - 联系方式
   - 地址
   - 服务范围
   - 服务项目
   - 价格
   - 设计师团队
   - 案例展示
   - 用户评价
   - 设计理念
   - 服务流程
- 设计师信息
   - 发布案例
   - 分享作品
   - 接收用户咨询
   - 进行预约服务

## 各页面对标竞品截图梳理


- 创作页面对标
![](./Assets/img/1.png) 

![](./Assets/img/2.png)